Package com.trilead.ssh2.crypto.cipher

## Class BlockCipherFactory

- java.lang.Object
- - com.trilead.ssh2.crypto.cipher.BlockCipherFactory

    public class BlockCipherFactory
    extends java.lang.Object

BlockCipherFactory.

### Constructor Summary

Constructors
`BlockCipherFactory()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `checkCipherList​(java.lang.String[] cipherCandidates)`
`static BlockCipher` `createCipher​(java.lang.String type, boolean encrypt, byte[] key, byte[] iv)`
`static int` `getBlockSize​(java.lang.String type)`
`static java.lang.String[]` `getDefaultCipherList()`
`static int` `getKeySize​(java.lang.String type)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BlockCipherFactory

    public BlockCipherFactory()

### Method Detail

#### getDefaultCipherList

    public static java.lang.String[] getDefaultCipherList()

#### checkCipherList

    public static void checkCipherList​(java.lang.String[] cipherCandidates)

#### createCipher

    public static BlockCipher createCipher​(java.lang.String type,
                                           boolean encrypt,
                                           byte[] key,
                                           byte[] iv)

#### getBlockSize

    public static int getBlockSize​(java.lang.String type)

#### getKeySize

    public static int getKeySize​(java.lang.String type)